package com.bonus.canteen.core.common.thirdutils.feie;

public class FeiePrintResponse {
   private String code;
   private String msg;
   private int ret;
   private String data;
   private String no;
   private String ok;

   public String getNo() {
      return this.no;
   }

   public void setNo(String no) {
      this.no = no;
   }

   public String getOk() {
      return this.ok;
   }

   public void setOk(String ok) {
      this.ok = ok;
   }

   public String getCode() {
      return this.code;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public String getMsg() {
      return this.msg;
   }

   public void setMsg(String msg) {
      this.msg = msg;
   }

   public int getRet() {
      return this.ret;
   }

   public void setRet(int ret) {
      this.ret = ret;
   }

   public String getData() {
      return this.data;
   }

   public void setData(String data) {
      this.data = data;
   }

   public boolean isSuccess() {
      return "ok".equals(this.getCode());
   }

   public boolean isFailed() {
      return "false".equals(this.getCode());
   }
}
